Skip to main content
GET
/
api
/
v1
/
step-up
/
providers
/
{id}
Get
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.StepUpProvider.Get(ctx, operations.C1APIStepupV1StepUpProviderServiceGetRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.GetStepUpProviderResponse != nil {
        // handle response
    }
}
{
  "stepUpProvider": {
    "clientId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "displayName": "<string>",
    "enabled": true,
    "id": "<string>",
    "issuerUrl": "<string>",
    "lastTestedAt": "2023-11-07T05:31:56Z",
    "microsoft": {
      "conditionalAccessIds": [
        "<string>"
      ],
      "tenant": "<string>",
      "validationMode": "MICROSOFT_VALIDATION_MODE_UNSPECIFIED"
    },
    "oauth2": {
      "acrValues": [
        "<string>"
      ]
    },
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The unique identifier of the step-up provider to retrieve.

Response

200 - application/json

Successful response

The GetStepUpProviderResponse message.

stepUpProvider
Step Up Provider · object

StepUpProvider represents a configured step-up authentication integration (e.g., Duo, custom OIDC).

This message contains a oneof named settings. Only a single field of the following list may be set at a time:

  • oauth2
  • microsoft